package com.ekexiu.portal.pojo;

import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.defaultImpl.WIntHandler;

import com.ekexiu.portal.po.AuthApply;

@ExtendView(fromSentence="auth_apply a INNER JOIN professor p on a.professor_id = p.id INNER JOIN organization o on p.org_id = o.id",tableAlias="a")
public class AuthApplyInfo extends AuthApply {
	//p.name,o.name orgName,p.office,p.title,p.authentication
	private String name;
	private String orgName;
	private String office;
	private String title;
	private Integer authentication;
	private String department;
	
	@CalcColumn(handlerClass=StringHandler.class,column="p.department")
	public String getDepartment() {
		return department;
	}
	public void setDepartment(String department) {
		this.department = department;
	}
	@CalcColumn(handlerClass=StringHandler.class,column="p.name")
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	@CalcColumn(handlerClass=StringHandler.class,column="o.name")
	public String getOrgName() {
		return orgName;
	}
	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	@CalcColumn(handlerClass=StringHandler.class,column="p.office")
	public String getOffice() {
		return office;
	}
	public void setOffice(String office) {
		this.office = office;
	}
	@CalcColumn(handlerClass=StringHandler.class,column="p.title")
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	@CalcColumn(handlerClass=WIntHandler.class,column="p.authentication")
	public Integer getAuthentication() {
		return authentication;
	}
	public void setAuthentication(Integer authentication) {
		this.authentication = authentication;
	}
	
	
}
